# Generated by Django 3.1.4 on 2021-02-26 20:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('vacunas', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Container',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('serial', models.CharField(max_length=200)),
                ('destino', models.CharField(max_length=200)),
                ('salida', models.CharField(max_length=200)),
                ('status', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Data',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('temperature', models.FloatField()),
                ('date', models.DateField(default=False)),
                ('hours', models.TimeField()),
                ('alarm', models.BooleanField(default=False)),
                ('date_transmition', models.DateField()),
                ('hours_transmition', models.TimeField()),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Data_Loger',
            fields=[
                ('id_container', models.CharField(max_length=200)),
                ('id_data_loger', models.CharField(max_length=200, primary_key=True, serialize=False)),
                ('id_status', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Heredity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datalogger_father', models.CharField(max_length=200)),
                ('datalogger_son', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('countryName', models.CharField(max_length=200)),
                ('countryCode', models.CharField(max_length=200)),
                ('adminArea', models.CharField(max_length=200)),
                ('locality', models.CharField(max_length=200)),
                ('postalCode', models.IntegerField()),
                ('latitud', models.FloatField()),
                ('longitud', models.FloatField()),
                ('id_data_loger', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='vacunas.data_loger')),
            ],
        ),
        migrations.DeleteModel(
            name='Vacunas',
        ),
        migrations.AddField(
            model_name='data',
            name='id_data_loger',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='vacunas.data_loger'),
        ),
    ]
